// ****************************************************************** 
//       * Functions triggered by events in client user interface
// ******************************************************************

// ************************************************************************************
// Name   : client_SetMonEthResetPacketStats()
// Purpose: Called when the reset ethernet packet statistics is clicked
// Inputs : NONE
// Outputs: NONE
function client_SetMonEthResetPacketStats()
{
   serverMonEthIntf.SetMonEthResetPacketStats();
};

// ************************************************************************************
// Name   : client_SetMonEthStatusUpdate()
// Purpose: Called when the current iFrame loads
// Inputs : NONE
// Outputs: NONE
function client_SetMonEthStatusUpdate()
{
   serverMonEthIntf.SetMonEthSelectContentUpdate();
   serverMonEthIntf.SetMonEthStatusUpdate();
};


// ****************************************************************** 
// * Functions called asynchronously from the server.
// ******************************************************************

function asyncUpdateMonEthTotalPacketsStatus(anEthTotalPackets)
{
   var anElement = Get_Iframe_Element( 'EthTotalPacketsInput' ) ;
   if ( anElement )
      anElement.value = anEthTotalPackets;
}

function asyncUpdateMonEthErrorPacketsStatus(anEthErrorPackets)
{
   var anElement = Get_Iframe_Element( 'EthErrorPacketsInput' ) ;
   if ( anElement )
      anElement.value = anEthErrorPackets;
}

function asyncUpdateMonEthPacketErrorRateStatus(anEthPacketErrorRate)
{
   var anElement = Get_Iframe_Element( 'EthPacketErrorRateInput' ) ;
   if ( anElement )
      anElement.value = anEthPacketErrorRate;
}

function asyncUpdateMonEthPort1StatusStatus(anEthPort1Status)
{
   var anElement = Get_Iframe_Element( 'EthPort1StatusSelect' ) ;
   if ( anElement )
      anElement.value = anEthPort1Status;
}

function asyncUpdateMonEthPort2StatusStatus(anEthPort2Status)
{
   var anElement = Get_Iframe_Element( 'EthPort2StatusSelect' ) ;
   if ( anElement )
      anElement.value = anEthPort2Status;
}

function asyncUpdateMonEthPort3StatusStatus(anEthPort3Status)
{
   var anElement = Get_Iframe_Element( 'EthPort3StatusSelect' ) ;
   if ( anElement )
      anElement.value = anEthPort3Status;
}

function asyncUpdateMonEthPort4StatusStatus(anEthPort4Status)
{
   var anElement = Get_Iframe_Element( 'EthPort4StatusSelect' ) ;
   if ( anElement )
      anElement.value = anEthPort4Status;
}

function asyncUpdateMonEthWanStatusStatus(anEthWanStatus)
{
   var anElement = Get_Iframe_Element( 'EthWanStatusSelect' ) ;
   if ( anElement )
      anElement.value = anEthWanStatus;
}

// ****************************************************************** 
// * Functions to update the select content.
// ******************************************************************

function asyncUpdateMonEthPort1StatusSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'EthPort1StatusSelect', aSelectContent );
}

function asyncUpdateMonEthPort2StatusSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'EthPort2StatusSelect', aSelectContent );
}

function asyncUpdateMonEthPort3StatusSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'EthPort3StatusSelect', aSelectContent );
}

function asyncUpdateMonEthPort4StatusSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'EthPort4StatusSelect', aSelectContent );
}

function asyncUpdateMonEthWanStatusSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'EthWanStatusSelect', aSelectContent );
}

