// ****************************************************************** 
//       * Functions triggered by events in client user interface
// ******************************************************************

// ************************************************************************************
// Name   : client_SetTxRsControl()
// Purpose: Called when user selects a receive ReedSolomon mode from the RxRsControl combo box.
//          This function extracts the edit box value and sends the value to the server.
// Inputs : NONE
// Outputs: NONE
function client_SetRxRsControl()
{
   var anElement = Get_Iframe_Element( 'RxRsControlSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Rx ReedSolomon Control"))
      {
         serverRcvRsIntf.SetRxRsControl(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

// ************************************************************************************
// Name   : client_SetRxRsDepth()
// Purpose: Called when user selects a receive interleaver depth from the RxRsDepth combo box.
//          This function extracts the edit box value and sends the value to the server.
// Inputs : NONE
// Outputs: NONE
function client_SetRxRsDepth()
{
   var anElement = Get_Iframe_Element( 'RxRsDepthSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Rx ReedSolomon Depth"))
      {
         serverRcvRsIntf.SetRxRsDepth(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

// ************************************************************************************
// Name   : client_SetRxRsNK()
// Purpose: Called when user selects a receive ReedSolomon N & K values.
//          This function extracts the edit boxes value and sends the value to the server.
// Inputs : NONE
// Outputs: NONE
function client_SetRxRsNK()
{
   var nElement, kElement;
   var nValue = 0, kValue = 0;
   nElement = Get_Iframe_Element( 'RxRsNInput' ) ;
   if ( nElement )
   {
      if (IsNumber(nElement))
         nValue = parseInt(nElement.value);
   }

   kElement = Get_Iframe_Element( 'RxRsKInput' ) ;
   if ( kElement )
   {
      if (IsNumber(kElement))
         kValue = parseInt(kElement.value);
   }

   if (nValue != 0 && kValue != 0)
   {
      if (IsChangeConfirmed("Rx ReedSolomon N & K"))
      {
         serverRcvRsIntf.SetRxRsNK(nValue, kValue);
         Focus_Iframe();
      }
   }
   else
   {
      alert("Invalid N & K Values.");
   }
   
};

// ************************************************************************************
// Name   : client_SetRxRsStatusUpdate()
// Purpose: Called when the current iFrame loads
// Inputs : NONE
// Outputs: NONE
function client_SetRxRsStatusUpdate()
{
   serverRcvRsIntf.SetRxRsSelectContentUpdate();
   serverRcvRsIntf.SetRxRsStatusUpdate();
};


// ****************************************************************** 
// * Functions called asynchronously from the server.
// ******************************************************************

function asyncUpdateRcvRsControlStatus(anRsControl)
{
   var anElement = Get_Iframe_Element( 'RxRsControlSelect' ) ;
   if ( anElement )	           // Set receive RS control
      anElement.value = anRsControl;
}

function asyncUpdateRcvRsDepthStatus(anRsDepth)
{
   var anElement = Get_Iframe_Element( 'RxRsDepthSelect' ) ;
   if ( anElement )	                // Set receive RS interleaver depth
      anElement.value = anRsDepth;
}

function asyncUpdateRcvRsNKValueStatus(anRsNValue, anRsKValue)
{
   var anElement = Get_Iframe_Element( 'RxRsNInput' ) ;
   if ( anElement )	                      // Set receive RS N value
      anElement.value = anRsNValue;

   anElement = Get_Iframe_Element( 'RxRsKInput' ) ;
   if ( anElement )	              // Set receive RS K value
      anElement.value = anRsKValue;
}

// ****************************************************************** 
// * Functions to update the select content.
// ******************************************************************

function asyncUpdateRcvRsControlSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'RxRsControlSelect', aSelectContent );
}

function asyncUpdateRcvRsDepthSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'RxRsDepthSelect', aSelectContent );
}

