// ****************************************************************** 
//       * Functions triggered by events in client user interface
// ******************************************************************

// ************************************************************************************
// Name   : client_SetTxTestPattern()
// Purpose: Called when user selects a transmit test pattern.
//          This function extracts the combo box value and sends the value to the server.
// Inputs : NONE
// Outputs: NONE
function client_SetTxTestPattern()
{
   var anElement = Get_Iframe_Element( 'TxTestPatternSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Test Pattern"))
      {
         serverTestPatIntf.SetTxTestPattern(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

// ************************************************************************************
// Name   : client_SetRxTestPattern()
// Purpose: Called when user selects a receive test pattern.
//          This function extracts the combo box value and sends the value to the server.
// Inputs : NONE
// Outputs: NONE                     
function client_SetRxTestPattern()
{
   var anElement = Get_Iframe_Element( 'RxTestPatternSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Rx Test Pattern"))
      {
         serverTestPatIntf.SetRxTestPattern(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};


// ************************************************************************************
// Name   : client_SetRestartTestPattern()
// Purpose: Called when user clicks on the restart test pattern  button.
// Inputs : NONE
// Outputs: NONE
function client_SetRestartTestPattern( )
{
  serverTestPatIntf.SetRestartTestPattern( );
}

// ************************************************************************************
// Name   : client_SetTestPatStatusUpdate()
// Purpose: Called when the current iFrame loads
// Inputs : NONE
// Outputs: NONE
function client_SetTestPatStatusUpdate()
{
   serverTestPatIntf.SetTestPatSelectContentUpdate();
   serverTestPatIntf.SetTestPatStatusUpdate();
};


// ****************************************************************** 
// * Functions called asynchronously from the server.
// ******************************************************************

function asyncUpdateTxTestPatternStatus(aTxTestPattern)
{
   var anElement = Get_Iframe_Element( 'TxTestPatternSelect' ) ;
   if ( anElement )	       // Set transmit test pattern
      anElement.value = aTxTestPattern;
}

function asyncUpdateRxTestPatternStatus(aRxTestPattern)
{
   var anElement = Get_Iframe_Element( 'RxTestPatternSelect' ) ;
   if ( anElement )	          // Set receive test pattern
      anElement.value = aRxTestPattern;
}

function asyncUpdateTestPatternBerStatus(aTestPatternBer)
{
   var anElement = Get_Iframe_Element( 'TestPatternBerInput' ) ;
   if ( anElement )	               // Set test pattern BER 
      anElement.value = aTestPatternBer;
}

function asyncUpdateTestPatternErrorCountStatus(aTestPatternErrorCount)
{
   var anElement = Get_Iframe_Element( 'TestPatternErrorCountInput' ) ;
   if ( anElement )	                    // Set test pattern error count
      anElement.value = aTestPatternErrorCount;
}

function asyncUpdateTestPatternSyncStatus(aTestPatternSync)
{
   var anElement = Get_Iframe_Element( 'TestPatternSyncSelect' ) ;
   if ( anElement )	                       // Set test pattern sync
      anElement.value = aTestPatternSync;
}

// ****************************************************************** 
// * Functions to update the select content.
// ******************************************************************

function asyncUpdateTxTestPatternSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxTestPatternSelect', aSelectContent );
}

function asyncUpdateRxTestPatternSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'RxTestPatternSelect', aSelectContent );
}

function asyncUpdateTestPatternSyncSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TestPatternSyncSelect', aSelectContent );
}

