// ****************************************************************** 
//       * Functions triggered by events in client user interface
// ******************************************************************

// ************************************************************************************
// Name   : client_SetTxEfAupcMode()
// Purpose: Called when user selects a transmit AUPC mode from the TxEfAupcMode combo box.
//          This function extracts the edit box value and sends the value to the server.
// Inputs : NONE
// Outputs: NONE
function client_SetTxEfAupcMode()
{
   var anElement = Get_Iframe_Element( 'TxEfAupcModeSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx EF AUPC Mode"))
      {
         serverXmitEfAupcIntf.SetTxEfAupcMode(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

// ************************************************************************************
// Name   : client_SetTxEfAupcEbno()
// Purpose: Called when user selects a transmit data rate from the TxEfAupcEbno edit box.
//          This function extracts the edit box value and sends the value to the server.
// Inputs : anEvent
// Outputs: NONE
function client_SetTxEfAupcEbno(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxEfAupcEbnoInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsChangeConfirmed("Tx EF AUPC Eb/No"))
            {
               var anEbno = parseFloat(anElement.value);
               anEbno += 0.000001;
               serverXmitEfAupcIntf.SetTxEfAupcEbno(anEbno);
               Focus_Iframe();
            }
         }
      }
   }
};

// ************************************************************************************
// Name   : client_SetTxEfAupcMinPower()
// Purpose: Called when user selects a transmit data rate from the TxEfAupcMinPower edit box.
//          This function extracts the edit box value and sends the value to the server.
// Inputs : anEvent
// Outputs: NONE
function client_SetTxEfAupcMinPower(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxEfAupcMinPowerInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsChangeConfirmed("Tx EF AUPC Minimum Power"))
            {
               var aPower = parseFloat(anElement.value);
               anElement.value = FormatNumber(aPower, 1);
               aPower += 0.000001;
               serverXmitEfAupcIntf.SetTxEfAupcMinPower(aPower);
               Focus_Iframe();
            }
         }
      }
   }
};

// ************************************************************************************
// Name   : client_SetTxEfAupcMaxPower()
// Purpose: Called when user selects a transmit EfAupc max power from the TxEfAupcMaxPower edit box.
//          This function extracts the edit box value and sends the value to the server.
// Inputs : anEvent
// Outputs: NONE
function client_SetTxEfAupcMaxPower(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxEfAupcMaxPowerInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsChangeConfirmed("Tx EF AUPC Maximum Power"))
            {
               var aPower = parseFloat(anElement.value);
               anElement.value = FormatNumber(aPower, 1);
               aPower += 0.000001;
               serverXmitEfAupcIntf.SetTxEfAupcMaxPower(aPower);
               Focus_Iframe();
            }
         }
      }
   }
};

// ************************************************************************************
// Name   : client_SetTxEfAupcDefPower()
// Purpose: Called when user selects a transmit EfAupc default power from the TxEfAupcDefPower edit box.
//          This function extracts the edit box value and sends the value to the server.
// Inputs : anEvent
// Outputs: NONE
function client_SetTxEfAupcDefPower(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxEfAupcDefPowerInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsChangeConfirmed("Tx EF AUPC Default Power"))
            {
               var aPower = parseFloat(anElement.value);
               anElement.value = FormatNumber(aPower, 1);
               aPower += 0.000001;
               serverXmitEfAupcIntf.SetTxEfAupcDefPower(aPower);
               Focus_Iframe();
            }
         }
      }
   }
};

// ************************************************************************************
// Name   : client_SetTxEfAupcTrackingRate()
// Purpose: Called when user selects a transmit AUPC TrackingRate
//          This function extracts the edit box value and sends the value to the server.
// Inputs : NONE
// Outputs: NONE
function client_SetTxEfAupcTrackingRate()
{
   var anElement = Get_Iframe_Element( 'TxEfAupcTrackingRateSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx EF AUPC Tracking Rate"))
      {
         serverXmitEfAupcIntf.SetTxEfAupcTrackingRate(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

// ************************************************************************************
// Name   : client_SetTxEfAupcLocalClAction()
// Purpose: Called when user selects a transmit AUPC LocalClAction
//          This function extracts the edit box value and sends the value to the server.
// Inputs : NONE
// Outputs: NONE
function client_SetTxEfAupcLocalClAction()
{
   var anElement = Get_Iframe_Element( 'TxEfAupcLocalClActionSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx EF AUPC Local Carrier Loss Action"))
      {
         serverXmitEfAupcIntf.SetTxEfAupcLocalClAction(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

// ************************************************************************************
// Name   : client_SetTxEfAupcRemoteClAction()
// Purpose: Called when user selects a transmit AUPC RemoteClAction
//          This function extracts the edit box value and sends the value to the server.
// Inputs : NONE
// Outputs: NONE
function client_SetTxEfAupcRemoteClAction()
{
   var anElement = Get_Iframe_Element( 'TxEfAupcRemoteClActionSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx EF AUPC Remote Carrier Loss Action"))
      {
         serverXmitEfAupcIntf.SetTxEfAupcRemoteClAction(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

// ************************************************************************************
// Name   : client_SetTxEfAupcRemoteMode()
// Purpose: Called when user selects a transmit AUPC remote mode.
//          This function extracts the edit box value and sends the value to the server.
// Inputs : NONE
// Outputs: NONE
function client_SetTxEfAupcRemoteMode()
{
   var anElement = Get_Iframe_Element( 'TxEfAupcRemoteModeSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx EF AUPC Remote Mode"))
      {
         serverXmitEfAupcIntf.SetTxEfAupcRemoteMode(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

// ************************************************************************************
// Name   : client_SetTxEfAupcRemoteLoopback()
// Purpose: Called when user selects a transmit AUPC remote Loopback.
//          This function extracts the edit box value and sends the value to the server.
// Inputs : NONE
// Outputs: NONE
function client_SetTxEfAupcRemoteLoopback()
{
   var anElement = Get_Iframe_Element( 'TxEfAupcRemoteLoopbackSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx EF AUPC Remote Loopback"))
      {
         serverXmitEfAupcIntf.SetTxEfAupcRemoteLoopback(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

// ************************************************************************************
// Name   : client_SetTxEfAupcRemote2047Pattern()
// Purpose: Called when user selects a transmit AUPC remote 2047Pattern.
//          This function extracts the edit box value and sends the value to the server.
// Inputs : NONE
// Outputs: NONE
function client_SetTxEfAupcRemote2047Pattern()
{
   var anElement = Get_Iframe_Element( 'TxEfAupcRemote2047PatternSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx EF AUPC Remote 2047 Pattern"))
      {
         serverXmitEfAupcIntf.SetTxEfAupcRemote2047Pattern(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

// ************************************************************************************
// Name   : client_SetTxEfAupcStatusUpdate()
// Purpose: Called when the current iFrame loads
// Inputs : NONE
// Outputs: NONE
function client_SetTxEfAupcStatusUpdate()
{
   serverXmitEfAupcIntf.SetTxEfAupcSelectContentUpdate();
   serverXmitEfAupcIntf.SetTxEfAupcStatusUpdate();
};


// ****************************************************************** 
// * Functions called asynchronously from the server.
// ******************************************************************

function asyncUpdateXmitEfAupcModeStatus(anEfAupcMode)
{
   var anElement = Get_Iframe_Element( 'TxEfAupcModeSelect' ) ;
   if ( anElement )
      anElement.value = anEfAupcMode;
}

function asyncUpdateXmitEfAupcEbnoStatus(anEfAupcEbno)
{
   var anElement = Get_Iframe_Element( 'TxEfAupcEbnoInput' ) ;
   if ( anElement )
      anElement.value = anEfAupcEbno;
}

function asyncUpdateXmitEfAupcMinPowerStatus(anEfAupcMinPower)
{
   var anElement = Get_Iframe_Element( 'TxEfAupcMinPowerInput' ) ;
   if ( anElement )
      anElement.value = FormatNumber(anEfAupcMinPower, 1);
}

function asyncUpdateXmitEfAupcMaxPowerStatus(anEfAupcMaxPower)
{
   var anElement = Get_Iframe_Element( 'TxEfAupcMaxPowerInput' ) ;
   if ( anElement )
      anElement.value = FormatNumber(anEfAupcMaxPower, 1);
}

function asyncUpdateXmitEfAupcDefPowerStatus(anEfAupcDefPower)
{
   var anElement = Get_Iframe_Element( 'TxEfAupcDefPowerInput' ) ;
   if ( anElement )
      anElement.value = FormatNumber(anEfAupcDefPower, 1);
}

function asyncUpdateXmitEfAupTrackingRateStatus(anEfAupcTrackingRate)
{
   var anElement = Get_Iframe_Element( 'TxEfAupcTrackingRateSelect' ) ;
   if ( anElement )
      anElement.value = anEfAupcTrackingRate;
}

function asyncUpdateXmitEfAupLocalClActionStatus(anEfAupcLocalClAction)
{
   var anElement = Get_Iframe_Element( 'TxEfAupcLocalClActionSelect' ) ;
   if ( anElement )
      anElement.value = anEfAupcLocalClAction;
}

function asyncUpdateXmitEfAupRemoteClActionStatus(anEfAupcRemoteClAction)
{
   var anElement = Get_Iframe_Element( 'TxEfAupcRemoteClActionSelect' ) ;
   if ( anElement )
      anElement.value = anEfAupcRemoteClAction;
}

function asyncUpdateXmitEfAupcRemoteModeStatus(anEfAupcRemoteMode)
{
   var anElement = Get_Iframe_Element( 'TxEfAupcRemoteModeSelect' ) ;
   if ( anElement )
      anElement.value = anEfAupcRemoteMode;
}

function asyncUpdateXmitEfAupcRemoteLoopbackStatus(anEfAupcRemoteLoopback)
{
   var anElement = Get_Iframe_Element( 'TxEfAupcRemoteLoopbackSelect' ) ;
   if ( anElement )
      anElement.value = anEfAupcRemoteLoopback;
}

function asyncUpdateXmitEfAupcRemote2047PatternStatus(anEfAupcRemote2047Pattern)
{
   var anElement = Get_Iframe_Element( 'TxEfAupcRemote2047PatternSelect' ) ;
   if ( anElement )
      anElement.value = anEfAupcRemote2047Pattern;
}

function asyncUpdateXmitEfAupcRemoteBerStatus(anEfAupcRemoteBer)
{
   var anElement = Get_Iframe_Element( 'TxEfAupcRemoteBerInput' ) ;
   if ( anElement )
      anElement.value = anEfAupcRemoteBer;
}

// ****************************************************************** 
// * Functions to update the select content.
// ******************************************************************

function asyncUpdateXmitEfAupcModeSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxEfAupcModeSelect', aSelectContent );
}

function asyncUpdateXmitEfAupTrackingRateSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxEfAupcTrackingRateSelect', aSelectContent );
}

function asyncUpdateXmitEfAupLocalClActionSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxEfAupcLocalClActionSelect', aSelectContent );
}

function asyncUpdateXmitEfAupRemoteClActionSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxEfAupcRemoteClActionSelect', aSelectContent );
}

function asyncUpdateXmitEfAupcRemoteModeSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxEfAupcRemoteModeSelect', aSelectContent );
}

function asyncUpdateXmitEfAupcRemoteLoopbackSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxEfAupcRemoteLoopbackSelect', aSelectContent );
}

function asyncUpdateXmitEfAupcRemote2047PatternSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxEfAupcRemote2047PatternSelect', aSelectContent );
}

