// ****************************************************************** 
//       * Functions triggered by events in client user interface
// ******************************************************************

// ************************************************************************************
// Name   : client_SetTxRsControl()
// Purpose: Called when user selects a transmit ReedSolomon mode from the TxRsControl combo box.
//          This function extracts the edit box value and sends the value to the server.
// Inputs : NONE
// Outputs: NONE
function client_SetTxRsControl()
{
   var anElement = Get_Iframe_Element( 'TxRsControlSelect' ) ;
   if ( anElement )
   {
      if (IsBandwidthChangeConfirmed("Tx ReedSolomon Control"))
      {
         serverXmitRsIntf.SetTxRsControl(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

// ************************************************************************************
// Name   : client_SetTxRsDepth()
// Purpose: Called when user selects a transmit interleaver depth from the TxRsDepth combo box.
//          This function extracts the edit box value and sends the value to the server.
// Inputs : NONE
// Outputs: NONE
function client_SetTxRsDepth()
{
   var anElement = Get_Iframe_Element( 'TxRsDepthSelect' ) ;
   if ( anElement )
   {
      if (IsBandwidthChangeConfirmed("Tx ReedSolomon Depth"))
      {
         serverXmitRsIntf.SetTxRsDepth(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

// ************************************************************************************
// Name   : client_SetTxRsNK()
// Purpose: Called when user selects a transmit ReedSolomon N & K values.
//          This function extracts the edit boxes value and sends the value to the server.
// Inputs : NONE
// Outputs: NONE
function client_SetTxRsNK()
{
   var nElement, kElement;
   var nValue = 0, kValue = 0;
   nElement = Get_Iframe_Element( 'TxRsNInput' ) ;
   if ( nElement )
   {
      if (IsNumber(nElement))
         nValue = parseInt(nElement.value);
   }
   
   kElement = Get_Iframe_Element( 'TxRsKInput' ) ;
   if ( kElement )
   {
      if (IsNumber(kElement))
         kValue = parseInt(kElement.value);
   }
   
   if (nValue != 0 && kValue != 0)
   {
      if (IsBandwidthChangeConfirmed("Tx ReedSolomon N & K"))
      {
         serverXmitRsIntf.SetTxRsNK(nValue, kValue);
      }
   }
   else
   {
      alert("Invalid N & K Values.");
   }
   
};

// ************************************************************************************
// Name   : client_SetTxRsStatusUpdate()
// Purpose: Called when the current iFrame loads
// Inputs : NONE
// Outputs: NONE
function client_SetTxRsStatusUpdate()
{
   serverXmitRsIntf.SetTxRsSelectContentUpdate();
   serverXmitRsIntf.SetTxRsStatusUpdate();
};


// ****************************************************************** 
// * Functions called asynchronously from the server.
// ******************************************************************

function asyncUpdateXmitRsControlStatus(anRsControl)
{
   var anElement = Get_Iframe_Element( 'TxRsControlSelect' ) ;
   if ( anElement )	      // Set transmit RS control
      anElement.value = anRsControl;
}

function asyncUpdateXmitRsDepthStatus(anRsDepth)
{
   var anElement = Get_Iframe_Element( 'TxRsDepthSelect' ) ;
   if ( anElement )	            // Set transmit RS interleaver depth
      anElement.value = anRsDepth;
}

function asyncUpdateXmitRsNKValueStatus(anRsNValue, anRsKValue)
{
   var anElement = Get_Iframe_Element( 'TxRsNInput' ) ;
   if ( anElement )	      // Set transmit RS N value
      anElement.value = anRsNValue;

   anElement = Get_Iframe_Element( 'TxRsKInput' ) ;
   if ( anElement )	      // Set transmit RS K value
      anElement.value = anRsKValue;
}

// ****************************************************************** 
// * Functions to update the select content.
// ******************************************************************

function asyncUpdateXmitRsControlSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxRsControlSelect', aSelectContent );
}

function asyncUpdateXmitRsDepthSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxRsDepthSelect', aSelectContent );
}

